Bug 10598 - redhat 6.2 uses zip disk for swap
redhat 6.2 uses zip disk for swap
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-05 10:52 EDT by Mike Gerdts
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-20 18:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Gerdts 2000-04-05 10:52:30 EDT
I installed Red Hat 6.2 from scratch on a machine that had a zip drive.
During the installation, a disk was in the drive.  Today I found that the
machine was behaving rather poorly and I noticed that my zip disk light was
blinking.  Taking a look at /etc/fstab, I find:

# grep swap /etc/fstab
/dev/hdd1               swap                    swap    defaults        0 0

Which is my zip drive.  This symbolic link was set up by the installer (or
some other magic in my system):

ls -ld /dev/zip
lrwxrwxrwx    1 root     root            4 Apr  4 07:49 /dev/zip -> hdd4

During the installation, I booted from the boot.img floppy, initially
selected a custom installation, then clicked back when it started to ask me
about partitioning.  I changed nothing in that druid-- just clicked back.
I then selected the GNOME workstation configuration and had an altogether
uneventful installation process (which is how it should be).
Comment 1 Mike Gerdts 2000-04-05 11:18:59 EDT
See also bug 10599 -- ejecting the zip disk is not a solution either
Comment 2 Michael Fulbright 2000-04-05 12:14:59 EDT
The current workaround is either to manually partition your system, or allow
it to automatically partition but not have a disk in the Zip disk. The second
option seems to give your particular system problems (I have an IDE zip drive
and I haven't had problems installing 6.2 without a disk in the zip drive).
Comment 3 Jay Turner 2000-04-18 08:03:59 EDT
Definitely something that we might want to add the the features-list for the
next release.
Comment 4 Michael Fulbright 2000-06-12 14:46:09 EDT
Should be fixed in latest developmental release - please verify in test lab.
Comment 5 Brock Organ 2000-06-20 18:28:14 EDT
this is fixed for the next release ... removable drives will only appear in disk
druid in expert mode ...

Note You need to log in before you can comment on or make changes to this bug.